<?php
/*------------------------------------------------------------------------
# plg_123formbuilder_btn.php - 123FormBuilder Editor Button Plugin
# ------------------------------------------------------------------------
# author    123FormBuilder
# copyright Copyright (C) 2008-2012 123formbuilder.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.123formbuilder.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

JHTML::_("behavior.mootools");
JHTML::_('behavior.modal');

jimport('joomla.plugin.plugin');

function request($apikey) {

    $url = "http://www.123formbuilder.com/wp_dispatcher.php";

    if (strpos($apikey, 'EU.') !== false || strpos($apikey, 'EU-') !== false) {
        $url = "http://eu.123formbuilder.com/wp_dispatcher.php";
    }

    $res = fopen("$url?api_key=".$apikey, 'r');

    if($res === false)
        return false;

    return $res;
}
 
class plgButton123formbuilder_btn extends JPlugin {

	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	public function onDisplay($name)
	{
		$app = JFactory::getApplication();

		$doc		= JFactory::getDocument();
		$template	= $app->getTemplate();
		
		$doc->addScript(JURI::root(true).'/plugins/editors-xtd/123formbuilder_btn/js/script_button.js');

		$getContent = $this->_subject->getContent($name);
		$present = JText::_('123FormBuilder has already been installed.', true);
		
		$doc->addStyleSheet(JURI::root(true).'/plugins/editors-xtd/123formbuilder_btn/css/123CF.css');
		
		$apikey = $this->params->get('apikey');
		$linkcode = '';
		
		echo '<span id="json_response" style="display:none;" class="'.$name.'">'.$apikey.'</span>';
		$button = new JObject;
		$button->set('modal', true);
		$button->set('onclick', 'insert123FormBuilder(\''.$name.'\');return false;');
		$button->set('text', JText::_('Insert Form'));
		$button->set('name', 'formBuilder');

		return $button;
	}
}

?>